<?php
// If it's going to need the database, then it's 
// probably smart to require it before we start.
require_once('initializer.php');

class MenuDishes extends DatabaseObject {
	
  protected static $table_name="MenuDishes";
  
  //we will populate this array of attribure dynamically
	//protected static $db_fields = array('id','Username','Privilege','First_Name','Last_Name','Password');
  
  protected static $db_fields;
  protected static $exclu_fields = array ("Password");

	// public  $id;
	// public $Username;
	// public $Privilege;
	// public $Last_Name;
  // public $First_Name;
  // public $Password;

  public function __construct($options=""){
    if ($options=="Blank") {
      $myFields = static::Get_Object_Fields ();
      foreach($myFields as $field) {
        $this->{$field} = "";
      }
    }

   // unset ($this->id);
    
  }


  public static function testGetField () {
    return self::$db_fields;
  }



  public static function createProperty( $name, $value ){
     $this->{$name} = $value;
}

public static function findAvailableMenuDishes () {

}
  public static function setGetField ($idf) {
    return self::$db_fields['id'] = $idf;
  }
	
  public function full_name() {
    if(isset($this->First_Name) && isset($this->Last_Name)) {
      return $this->First_Name . " " . $this->Last_Name;
    } else {
      return "";
    }
  }



}

?>